// @ts-check
import { defineConfig } from 'astro/config';
import tailwindcss from "@tailwindcss/vite";
import { imageService } from "@unpic/astro/service";
import markdoc from "@astrojs/markdoc";
import icon from "astro-icon";
import node from "@astrojs/node";

import vue from "@astrojs/vue";
import react from "@astrojs/react";

// https://astro.build/config
export default defineConfig({
  vite: {
    plugins: [tailwindcss()],
  },
  site: "https://centrodelreinodepazyjusticia.com/",
  //base: '/mockup/',

  integrations: [markdoc(), icon(), vue(), react()],

  i18n: {
    locales: ["es", "en", "fr", "he", "uk", "pt", "ru", "rw", "kr"],
    defaultLocale: "es",
    routing: {
      prefixDefaultLocale: true,
      redirectToDefaultLocale: true,
    },
  },

  image: {
    domains: ['placehold.co', 'ik.imagekit.io', 'picsum.photos'],
    service: imageService(),
  },
  output: "server",
  adapter: node({
    mode: "standalone",
  }),
});
